#### D.2.5.3 pmat

Procedure from library `inout.lib` (see inout_lib).

Usage:
  pmat(M[,n]); M matrix, n integer

Return:
  A string representing M in array format if it fits into pagewidth; if n is given, only the first n characters of each column are shown (n>1 required), where a truncation of a column is indicated by two dots (\'..\')

Example:

    LIB "inout.lib";
    ring r=0,(x,y,z),ls;
    ideal i= x,z+3y,x+y,z;
    matrix m[3][3]=i^2;
    pmat(m);
    ==> x2,     xz+3xy,     xy+x2,
    ==> xz,     z2+6yz+9y2, yz+3y2+xz+3xy,
    ==> z2+3yz, y2+2xy+x2,  yz+xz
    pmat(m,5);
    ==> x2,    xz+.., xy+x2,
    ==> xz,    z2+.., yz+..,
    ==> z2+.., y2+.., yz+xz

User manual for Singular version 4.4.1, 2025, generated by texi2html.